import { Column, Entity, ManyToMany, PrimaryColumn } from "typeorm";
import { user } from "./user";

@Entity()
export class role {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255 })
  role: string;

  @ManyToMany(() => user, (user) => user.roles)
  users: user[];
}
