import { Column, Entity, JoinTable, ManyToMany, PrimaryColumn } from "typeorm";
import { role } from "./role";

@Entity()
export class user {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255 })
  mail: string;

  @Column({ type: "varchar", length: 255 })
  username: string;

  @Column({ type: "varchar", length: 255 })
  firstname: string;

  @Column({ type: "varchar", length: 255 })
  lastname: string;

  @Column({ type: "varchar", length: 255 })
  secret: string;

  @ManyToMany(() => role, (role) => role.users)
  @JoinTable({
    name: "user_roles",
  })
  roles: role[];
}
