import { ExceptionBase } from "./exceptionsBaseType";

export default class CustomRequestException extends Error implements ExceptionBase {
  statusCode: number;

  constructor(status: number, msg: string) {
    super(msg);
    this.statusCode = status;
  }
}
